package com.example.proyectofinal;

import android.graphics.Canvas;
import android.graphics.Color;
import android.graphics.Paint;
import android.graphics.Paint.Style;
import android.graphics.drawable.Drawable;
import android.graphics.drawable.ShapeDrawable;
import android.view.View;

class Grafico {
    private ShapeDrawable drawable;   //Imagen que dibujaremos
    private int cenX, cenY,punt,cont,temp=0;      
    private int ancho, alto;     //Dimensiones de la imagen
    private double incX, incY,salir;   //Velocidad desplazamiento
    private double angulo, rotacion;//ngulo y velocidad rotacin
    private int radioColision;   //Para determinar colisin
 private int color;
private int xAnterior, yAnterior; // Posicin anterior
Canvas canvas;
Boolean flag = false;

Paint paint2;
private int radioInval;      
    private View view;           
   
    public Grafico(View view, ShapeDrawable drawable){
          this.view = view;
          this.drawable = drawable;
          setColor(drawable.getPaint().getColor());
          ancho = drawable.getIntrinsicWidth();  
          alto = drawable.getIntrinsicHeight();
          radioColision = (alto+ancho)/4;
         radioInval = (int) Math.hypot(ancho/2, alto/2);
    }
        
    public void dibujaGrafico(Canvas canvas ){
    	int temp2;
    	temp2 = punt;
//  
          int x = cenX - ancho/2;
          int y = cenY - alto/2;
          
         drawable.setBounds(x, y, x+ancho, y+alto);
         drawable.getPaint();
         Paint paint2 = new Paint(); 
          paint2.setColor(Color.TRANSPARENT); 
          paint2.setTextSize(60); 
          Paint paint3 = new Paint(); 
          paint3.setColor(Color.WHITE); 
          paint3.setTextSize(60); 
          canvas.drawText("Puntuacion" , 200, 60, paint3);
          if (temp2!=temp){
          canvas.drawText( " " +punt, 80, 60, paint3);
          temp=temp+temp2;}
          
          if (temp2==temp){
        	canvas.drawText(" " +punt, 80, 60, paint2);
        	            }
          
          canvas.drawLine(0, 120, view.getWidth(), 120, paint3);
         
          canvas.save();
          canvas.rotate((float)angulo, cenX, cenY);
          drawable.draw(canvas);
         
          canvas.restore();
          view.invalidate(cenX-radioInval, cenY-radioInval,
                        cenX+radioInval, cenY+radioInval);
          view.invalidate(xAnterior-radioInval, yAnterior-radioInval,
                        xAnterior+radioInval, yAnterior+radioInval);
        
          xAnterior = cenX;
          yAnterior = cenY;
          
    }
    public void incrementaPos(double factor){
    	  cenX += incX * factor;
          cenY += incY * factor;
          angulo += rotacion * factor;
          // Si salimos de la pantalla, corregimos posicin
          if(cenX<0)                cenX=view.getWidth();
          if(cenX>view.getWidth())  cenX=0;
          if(cenY<0)                cenY=view.getHeight();
          if(cenY<120) cenY=view.getHeight();}
    
    public void cleargrafico(Grafico g ){
    	drawable.getPaint().setColor(Color.TRANSPARENT);    }

    public double distancia(Grafico g) {
          return Math.hypot(cenX-g.cenX, cenY-g.cenY);
    }

    public boolean verificaColision(Grafico g) {
          return (distancia(g) < (radioColision + g.radioColision));
    }
    public int puntuacion(int puntuacion){
   	punt+= puntuacion;
 
		return punt;
    
    }
    
    public void Cambiacolor (Grafico g, int color){
    	drawable.getPaint().setColor(color);
    	
    	
    }
    public int numColor(int cont, int numelectro){
    	
    	cont+= 1;
    	if (cont >= numelectro){
    		cont=0;
    	}
		return cont;
    
    }
    public int salir(int cont, int numelectro){
    	
    	cont+= 1;
    	
		return cont;
    
    }

	public Drawable getDrawable() {
		return drawable;
	}




	public void setDrawable(ShapeDrawable drawable) {
		this.drawable = drawable;
	}

	public int getCenX() {
		return cenX;
	}
	
	public boolean itsaMatch(Grafico g, Grafico g2){
		boolean fl =false;
		if(g.getColor()==g2.getColor())
		{
			fl= true;
		}
		return fl;
		
	}

	public void setCenX(double d) {
		this.cenX = (int) d;
	}

	public int getCenY() {
		return cenY;
	}

	public void setCenY(int cenY) {
		this.cenY = cenY;
	}

	public int getAncho() {
		return ancho;
	}

	public void setAncho(int ancho) {
		this.ancho = ancho;
	}

	public int getAlto() {
		return alto;
	}

	public void setAlto(int alto) {
		this.alto = alto;
	}

	public double getIncX() {
		return incX;
	}

	public void setIncX(double incX) {
		this.incX = incX;
	}

	public double getIncY() {
		return incY;
	}

	public void setIncY(double incY) {
		this.incY = incY;
	}

	public double getAngulo() {
		return angulo;
	}

	public void setAngulo(double angulo) {
		this.angulo = angulo;
	}

	public double getRotacion() {
		return rotacion;
	}

	public void setRotacion(double rotacion) {
		this.rotacion = rotacion;
	}

	public int getRadioColision() {
		return radioColision;
	}

	public void setRadioColision(int radioColision) {
		this.radioColision = radioColision;
	}

	public int getxAnterior() {
		return xAnterior;
	}

	public void setxAnterior(int xAnterior) {
		this.xAnterior = xAnterior;
	}

	public int getyAnterior() {
		return yAnterior;
	}

	public void setyAnterior(int yAnterior) {
		this.yAnterior = yAnterior;
	}

	public int getRadioInval() {
		return radioInval;
	}

	public void setRadioInval(int radioInval) {
		this.radioInval = radioInval;
	}

	public View getView() {
		return view;
	}

	public void setView(View view) {
		this.view = view;
	}

	public int getColor() {
		return color;
	}

	public void setColor(int color) {
		this.color = color;
	}

	


}