package com.example.proyectofinal;


import android.content.Intent;
import android.os.Bundle;
import android.support.v7.app.ActionBarActivity;
import android.view.Menu;
import android.view.MenuItem;
import android.view.View;

public class MainActivity extends ActionBarActivity {

	

  

	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_main);
		
		almacen= new AlmacenPuntuacionesSQLite(this);
	//	almacen = new AlmacenPuntuacionesFicheroInterno(this);
	}


	   public void LanzarAcercaDe(View view){

		      Intent i = new Intent(this, AcercaDe.class);

		      startActivity(i);

		}
		 public void lanzarJuego(View view) {
		       Intent i = new Intent(this, Juego.class);
		       startActivityForResult(i, 1234);
		}
		 public void lanzarConfiguracion(View view) {
		       Intent i = new Intent(this, Preferencias.class);
                   startActivity(i);
		}
		 public void LanzarPuntuaciones(View view) {
		       Intent i = new Intent(this, Puntuaciones.class);
		       startActivity(i);
		}
		  public static AlmacenPuntuaciones almacen=  new AlmacenPuntuacionesArray();
	@Override
	public boolean onCreateOptionsMenu(Menu menu) {
		// Inflate the menu; this adds items to the action bar if it is present.
		getMenuInflater().inflate(R.menu.main, menu);
		return true;
	}
	 
	@Override protected void onActivityResult (int requestCode,int resultCode, Intent data){
	       super.onActivityResult(requestCode, resultCode, data);
	       if (requestCode==1234 && resultCode==RESULT_OK && data!=null) {
	             int puntuacion = data.getExtras().getInt("puntuacion");
	             String nombre = "Yo";
	             // Mejor leerlo desde un AlertDialog.Builder
	             almacen.guardarPuntuacion(puntuacion, nombre,System.currentTimeMillis());
	             LanzarPuntuaciones(null);
	       }
	}

	@Override
	public boolean onOptionsItemSelected(MenuItem item) {
		// Handle action bar item clicks here. The action bar will
		// automatically handle clicks on the Home/Up button, so long
		// as you specify a parent activity in AndroidManifest.xml.
		int id = item.getItemId();
		if (id == R.id.action_settings) {
			return true;
		}
		return super.onOptionsItemSelected(item);
	}
	
}
